<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<%= toolbar title: t(:label_document_plural) do %>
  <% if authorize_for(:documents, :new) %>
    <li class="toolbar-item">
      <%= link_to({:controller => '/documents', :action => 'new', :project_id => @project},
                  { class: 'button -primary',
                    aria: {label: t(:label_document_new)},
                    title: t(:label_document_new)}) do %>
        <%= op_icon('button--icon icon-add') %>
        <span class="button--text"><%= t('activerecord.models.document') %></span>
      <% end %>
    </li>
  <% end %>
<% end %>

<% if @grouped.empty? %>
  <%= no_results_box %>
<% end %>

<% @grouped.keys.sort.each do |group| %>
  <%= augmented_collapsible_section title: group do %>
    <div class="document-category--inner-section">
      <div class="form--field document-category-elements">
        <%= render :partial => 'documents/document', :collection => @grouped[group] %>
      </div>
    </div>
  <% end %>
<% end %>

<% content_for :sidebar do %>
  <%= form_tag({}, :method => :get, class: 'sidebar--document-sort') do %>
    <fieldset class="form--fieldset">
      <legend class="form--fieldset-legend"><%= t(:label_group_by) %></legend>
      <p>
        <%= radio_button_tag 'group_by', 'category', (@group_by == 'category'), class: 'submit-this-form' %>
      <label for="group_by_category">
        <%= Document.human_attribute_name(:category) %>
      </label><br />
        <%= radio_button_tag 'group_by', 'date', (@group_by == 'date'), class: 'submit-this-form' %>
      <label for="group_by_date">
        <%= t(:label_date) %>
      </label><br />
        <%= radio_button_tag 'group_by', 'title', (@group_by == 'title'), class: 'submit-this-form' %>
      <label for="group_by_title">
        <%= Document.human_attribute_name(:title) %>
      </label><br />
        <%= radio_button_tag 'group_by', 'author', (@group_by == 'author'), class: 'submit-this-form' %>
      <label for="group_by_author">
        <%= t 'documents.label_attachment_author' %>
      </label>
      </p>
    </fieldset>
  <% end %>
<% end %>

<%= nonced_javascript_tag do %>
  jQuery(function($) {
    $('.submit-this-form').click(function() {
      $(this).closest('form').submit();
    });
  });
<% end %>

<% html_title(t(:label_document_plural)) -%>
